%define kmod_name hwlat_detector

%define fsmods hwlat_detector.ko
%define fsdefines CONFIG_HWLAT_DETECTOR=m

Name:       %{kmod_name}-kmod
Version:    2.6.32
Release:    0.3%{?dist}
Summary:    hw latency detector module

License:    Distributable
Group:      System Environment/Kernel
URL:        http://www.kerneldrivers.org/

#Source is created from these files:
Source0:        hwlat_detector.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	%kernel_module_package_buildreqs
%kernel_module_package -n %{kmod_name}

%description 
Hardware latency detector module.

%prep
%setup -q -c -n %{kmod_name}-kmod-%{version}
mv drivers/misc source
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build ; do
	echo Building for $flavor and target cpu %{_target_cpu} and kverrel = %kverrel
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor %{fsdefines} modules
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor SUBDIRS=$PWD/obj/$flavor/
done
# remove spurious modules files
find $RPM_BUILD_ROOT/lib/modules/ -type f -not -name \*.ko | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 27 2013 Josko Plazonic <plazonic@math.princeton.edu>
- first build
